package com.ti.mobpo.network

import com.ti.mobpo.data.PokemonDetails
import com.ti.mobpo.data.PokemonResponse
import retrofit2.http.GET
import retrofit2.http.Path

interface PokeApiService {
    @GET("pokemon/?offset=0&limit=2000")
    suspend fun getPokemon(): PokemonResponse

    @GET("pokemon/{id}")
    suspend fun getPokemonDetails(@Path("id") id: Int): PokemonDetails
}
